<template>
  <v-layout>
    <CoreNavDrawer/>
    <v-content>
      <v-container fill-height fluid>
        <transition mode="out-in" name="fade">
          <router-view></router-view>
        </transition>
      </v-container>
    </v-content>
  </v-layout>
</template>
<script>
  import ErrorMessage from '@/components/base/ErrorMessage'
  import Loading from '@/components/base/Loading'
  import CoreNavDrawer from '@/components/core/NavDrawer'
  import SuccessMessage from '@/components/base/SuccessMessage'

  export default {
    name: 'CoreLayout',
    components: {
      SuccessMessage,
      CoreNavDrawer,
      Loading,
      ErrorMessage
    },
    methods: {
      userLogout () {
        this.$store.dispatch('userLogout')
      }
    },
    async mounted () {
      await this.$store.dispatch('getTypes');
      await this.$store.dispatch('getUser');
    }
  }
</script>
